%global version_date 20091214

Name:           awescript
Version:        0
Release:        0.1.%{version_date}%{?dist}
Summary:        Download post-processing script 
Group:          Applications/System
License:        Unknown
URL:            http://x264.rescene.info/awescript/
# The source was grabbed from[0] on 2009-12-14; repacked into a tarball
# with:
#   mkdir awescript-20091214
#   cd awescript-20091214
#   unrar x ../awescript_src.rar \*
#   rm *.rar *.exe
#   cd ..
#   tar -cjf awescript-20091214{.tar.bz2,/}
# [0]: http://x264.rescene.info/awescript/awescript_src.rar
Source0:        awescript-%{version_date}.tar.bz2
# Fix Python 2.6 compatibility issues (upstreamable):
Patch0:         awescript-py2.6-compat.diff
# Fix some PATH issues (not upstreamable):
Patch1:         awescript-fix-sysbinary-locations.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


BuildArch:      noarch
BuildRequires:  python-devel


%description
Awescript is a handy little script for tidying your rarred scene
releases. Its main use in the context of ReScene, is that it can
generate SRR and SRS files automatically, and move them wherever you
specify. However, it also unrars files, moves samples, extras, subs etc.
into their correct folders, and (of course optionally) deletes anything
un-necessary like NZB, SFV, samples, par2 and the rars themselves.


%prep
%setup -q -n awescript-%{version_date}
%patch0 -p0
%patch1 -p0

# Fix DOS line-endings
sed -i -e 's|\r||' *.py

# Make a bindir launch script.
cat >awescript_install.sh <<EOS
#!/bin/sh

python "%{_datadir}/%{name}/awescript.py" "\$@"
EOS


%build
# Pure source package.
python -c "import awescript ; import srr_srs_join"
python -O -c "import awescript ; import srr_srs_join"


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
install -m 755 {awescript,srr_srs_join}.py{,c,o} \
  $RPM_BUILD_ROOT/%{_datadir}/%{name}/
install -m 755 awescript_install.sh \
  $RPM_BUILD_ROOT/%{_bindir}/awescript

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_datadir}/%{name}
%{_bindir}/awescript


%changelog
* Mon Dec 14 2009 Conrad Meyer <konrad@tylerc.org> - 0-0.1.20091214
- Initial package.
